Name:           perl-Module-Versions-Report
Version:        1.02
Release:        4%{?dist}
Summary:        Report versions of all modules in memory

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Module-Versions-Report/
Source0:        http://www.cpan.org/authors/id/S/SB/SBURKE/Module-Versions-Report-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
If you add "use Module::Versions::Report;" to a program (especially
handy if your program is one that demonstrates a bug in some module),
then when the program has finished running, you well get a report
detailing the all modules in memory, and noting the version of each
(for modules that defined a $VERSION, at least).


%prep
%setup -q -n Module-Versions-Report-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{perl_vendorlib}/Module/
%{_mandir}/man3/*.3pm*


%changelog
* Thu Sep  7 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.02-4
- Rebuild for FC6.

* Sat Feb 18 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.02-3
- Rebuild for FC5 (perl 5.8.8).

* Wed Aug 10 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.02-2
- Disttag.

* Tue Mar 22 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.02-1
- First build.
